---
title: "FreeBSD/ia64 5.5-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002, 2003, 2004, 2005, 2006 The
FreeBSD Documentation Project</p>

<p class="PUBDATE">$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v
1.761.2.59.2.2 2006/05/22 17:05:47 bmah Exp $<br />
</p>

<div class="LEGALNOTICE"><a id="TRADEMARKS" name="TRADEMARKS"></a>
<p>FreeBSD is a registered trademark of the FreeBSD Foundation.</p>

<p>IBM, AIX, EtherJet, Netfinity, OS/2, PowerPC, PS/2, S/390, and ThinkPad are trademarks
of International Business Machines Corporation in the United States, other countries, or
both.</p>

<p>IEEE, POSIX, and 802 are registered trademarks of Institute of Electrical and
Electronics Engineers, Inc. in the United States.</p>

<p>Intel, Celeron, EtherExpress, i386, i486, Itanium, Pentium, and Xeon are trademarks or
registered trademarks of Intel Corporation or its subsidiaries in the United States and
other countries.</p>

<p>Sparc, Sparc64, SPARCEngine, and UltraSPARC are trademarks of SPARC International, Inc
in the United States and other countries. Products bearing SPARC trademarks are based
upon architecture developed by Sun Microsystems, Inc.</p>

<p>Many of the designations used by manufacturers and sellers to distinguish their
products are claimed as trademarks. Where those designations appear in this document, and
the FreeBSD Project was aware of the trademark claim, the designations have been followed
by the ``&trade;'' or the ``&reg;'' symbol.</p>
</div>

<div>
<div class="ABSTRACT"><a id="AEN24" name="AEN24"></a>
<p>The release notes for FreeBSD 5.5-RELEASE contain a summary of the changes made to the
FreeBSD base system since 5.4-RELEASE. This document lists applicable security advisories
that were issued since the last release, as well as significant changes to the FreeBSD
kernel and userland. Some brief remarks on upgrading are also presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#BOOT">Boot Loader Changes</a></dt>

<dt>2.2.2 <a href="#PROC">Hardware Support</a></dt>

<dt>2.2.3 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.4 <a href="#DISKS">Disks and Storage</a></dt>

<dt>2.2.5 <a href="#FS">File Systems</a></dt>

<dt>2.2.6 <a href="#AEN229">Contributed Software</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dd>
<dl>
<dt>2.3.1 <a href="#RC-SCRIPTS"><tt class="FILENAME">/etc/rc.d</tt> Scripts</a></dt>
</dl>
</dd>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>

<dt>2.6 <a href="#RELENG">Release Engineering and Integration</a></dt>

<dt>2.7 <a href="#DOC">Documentation</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 5.5-RELEASE on the IA-64 hardware
platform. It describes recently added, changed, or deleted features of FreeBSD. It also
provides some notes on upgrading from previous versions of FreeBSD.</p>

<p>This distribution of FreeBSD 5.5-RELEASE is a release distribution. It can be found at
<a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of its
mirrors. More information on obtaining this (or other) release distributions of FreeBSD
can be found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">``Obtaining FreeBSD'' appendix</a> to the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>All users are encouraged to consult the release errata before installing FreeBSD. The
errata document is updated with ``late-breaking'' information discovered late in the
release cycle or after the release. Typically, it contains information on known bugs,
security advisories, and corrections to documentation. An up-to-date copy of the errata
for FreeBSD 5.5-RELEASE can be found on the FreeBSD Web site.</p>

<p>FreeBSD 5.5-RELEASE is the last planned release on the 5.5-STABLE branch. The FreeBSD
development community is currently focusing its efforts on the 6-STABLE and CURRENT
codelines. No new major features are planned for the 5.5-STABLE branch, although minor
updates and bugfixes may be merged at the discretion of individual developers. The
FreeBSD security team will support the 5.5-RELEASE-based security branch with advisories
and security patches until the end-of-life date documented at <a
href="http://security.freebsd.org/" target="_top">http://security.freebsd.org/</a> (as of
this writing, 31 May 2008).</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
5.4-RELEASE.</p>

<p>Typical release note items document recent security advisories issued after
5.4-RELEASE, new drivers or hardware support, new commands or options, major bug fixes,
or contributed software upgrades. They may also list changes to major ports/packages or
release engineering practices. Clearly the release notes cannot list every single change
made to FreeBSD between releases; this document focuses primarily on security advisories,
user-visible changes, and major architectural improvements.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>A bug in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tcpdump&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tcpdump</span>(1)</span></a>
utility which allows a malicious remote user to cause a denial-of-service by using
specially crafted packets, has been fixed. For more information, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:10.tcpdump.asc"
target="_top">FreeBSD-SA-05:10.tcpdump</a>.</p>

<p>Two problems in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gzip&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gzip</span>(1)</span></a> utility
have been fixed. These may allow a local user to modify permissions of arbitrary files
and overwrite arbitrary local files when uncompressing a file. For more information, see
security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:11.gzip.asc"
target="_top">FreeBSD-SA-05:11.gzip</a>.</p>

<p>A bug has been fixed in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfw&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfw</span>(4)</span></a> that
could cause packets to be matched incorrectly against a lookup table. This bug only
affects SMP machines or UP machines that have the <tt class="LITERAL">PREEMPTION</tt>
kernel option enabled. More information is contained in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:13.ipfw.asc"
target="_top">FreeBSD-SA-05:13.ipfw</a>.</p>

<p>Two security-related problems have been fixed in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bzip2&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bzip2</span>(1)</span></a>. These
include a potential denial of service and unauthorized manipulation of file permissions.
For more information, see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:14.bzip2.asc"
target="_top">FreeBSD-SA-05:14.bzip2</a>.</p>

<p>Two problems in FreeBSD's TCP stack have been fixed. They could allow attackers to
stall existing TCP connections, creating a denial-of-service situation. More information
is contained in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:15.tcp.asc"
target="_top">FreeBSD-SA-05:15.tcp</a>.</p>

<p>Two buffer overflows in the zlib library has been corrected. More information can be
found in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:16.zlib.asc"
target="_top">FreeBSD-SA-05:16.zlib</a> and <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:18.zlib.asc"
target="_top">FreeBSD-SA-05:18.zlib</a>.</p>

<p>A security vulnerability that could allow processes running inside a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jail&amp;sektion=2&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jail</span>(2)</span></a> to gain
access to hidden <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=devfs&amp;sektion=5&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">devfs</span>(5)</span></a> file
nodes has been corrected, as described in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:17.devfs.asc"
target="_top">FreeBSD-SA-05:17.devfs</a>.</p>

<p>A programming error in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipsec&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipsec</span>(4)</span></a>
implementation, which resulted in AES-XCBC-MAC authentication using a constant key, has
been corrected. More details are in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:19.ipsec.asc"
target="_top">FreeBSD-SA-05:19.ipsec</a>.</p>

<p>A temporary file vulnerability in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cvsbug&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cvsbug</span>(8)</span></a>, which
could allow an attacker to modify or overwrite files with the permissions of a user
running the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cvsbug&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cvsbug</span>(8)</span></a>
utility, has been fixed. More details can be found in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:20.cvsbug.asc"
target="_top">FreeBSD-SA-05:20.cvsbug</a>.</p>

<p>A bug in OpenSSL that could allow an attacker to force an use older version of the SSL
(with known weakensses) has been corrected. Details can be found in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-05:21.openssl.asc"
target="_top">FreeBSD-SA-05:21.openssl</a>.</p>

<p>A temporary file vulnerability in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=texindex&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">texindex</span>(1)</span></a>,
which could allow a local attacker to overwrite files in the context of a user running
the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=texindex&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">texindex</span>(1)</span></a>
utility, has been fixed. For more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:01.texindex.asc"
target="_top">FreeBSD-SA-06:01.texindex</a>.</p>

<p>A temporary file vulnerability in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ee&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ee</span>(1)</span></a> text
editor, which could allow a local attacker to overwrite files in the context of a user
running <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ee&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ee</span>(1)</span></a>, has been
fixed. For more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:02.ee.asc"
target="_top">FreeBSD-SA-06:02.ee</a>.</p>

<p>Several vulnerabilities in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cpio&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cpio</span>(1)</span></a> utility
have been corrected. For more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:03.cpio.asc"
target="_top">FreeBSD-SA-06:03.cpio</a>.</p>

<p>Two instances in which portions of kernel memory could be disclosed to users have been
fixed. For more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:06.kmem.asc"
target="_top">FreeBSD-SA-06:06.kmem</a>.</p>

<p>A logic bug in the IP fragment handling in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pf&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pf</span>(4)</span></a>, which
could cause a crash under certain circumstances, has been fixed. For more details see
security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:07.pf.asc"
target="_top">FreeBSD-SA-06:07.pf</a>.</p>

<p>An error in Selective Acknowledgement (SACK) support in the TCP/IP stack, which could
cause an infinite loop upon reception of a particular series of packets, has been
corrected. More details are contained in security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:08.sack.asc"
target="_top">FreeBSD-SA-06:08.sack</a>.</p>

<p>A logic bug in the OpenSSH performs internal accounting, which could cause the master
decides that it is overloaded and stops accepting client connections, has been fixed. For
more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:09.openssh.asc"
target="_top">FreeBSD-SA-06:09.openssh</a>.</p>

<p>A logic bug in the NFS server code, which could cause a crash when the server received
a message with a zero-length payload, has been fixed. For more details see security
advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:10.nfs.asc"
target="_top">FreeBSD-SA-06:10.nfs</a>.</p>

<p>A programming error in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fast_ipsec&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fast_ipsec</span>(4)</span></a>
implementation results in the sequence number associated with a Security Association not
being updated, allowing packets to unconditionally pass sequence number verification
checks, has been fixed. For more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:11.ipsec.asc"
target="_top">FreeBSD-SA-06:11.ipsec</a>.</p>

<p>A logic bug that could cause <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=opiepasswd&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">opiepasswd</span>(1)</span></a> to
allow an unprivileged user to configure OPIE authentication for the root user under
certain circumstances, has been fixed. For more details see security advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:12.opie.asc"
target="_top">FreeBSD-SA-06:12.opie</a>.</p>

<p>An asynchronous signal handling vulnerability in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sendmail&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sendmail</span>(8)</span></a>,
which could allow a remote attacker to execute arbitrary code with the privileges of the
user running sendmail, typically root, has been fixed. For more details see security
advisory <a
href="ftp://ftp.FreeBSD.org/pub/FreeBSD/CERT/advisories/FreeBSD-SA-06:13.sendmail.asc"
target="_top">FreeBSD-SA-06:13.sendmail</a>.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="BOOT" name="BOOT">2.2.1 Boot Loader Changes</a></h4>

<p>The <tt class="COMMAND">autoboot</tt> command will now prevent the user from
interrupting the boot process at all if the <code class="VARNAME">autoboot_delay</code>
variable is set to <tt class="LITERAL">-1</tt>.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.2 Hardware Support</a></h4>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="MM" name="MM">2.2.2.1 Multimedia Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=uaudio&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">uaudio</span>(4)</span></a> driver
now has some added functionality, including volume control on more inputs and recording
capability on some devices.</p>
</div>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="NET-IF" name="NET-IF">2.2.2.2 Network Interface Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bge&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bge</span>(4)</span></a> driver
now supports the BCM5714 and 5789 chips.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ixgb&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ixgb</span>(4)</span></a> driver
is now MPSAFE.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=xl&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">xl</span>(4)</span></a> driver now
supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=polling&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">polling</span>(4)</span></a>.</p>
</div>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.3 Network Protocols</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=if_bridge&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">if_bridge</span>(4)</span></a>
network bridging implementation, originally from NetBSD, has been added. It supports the
IEEE 802.1D Spanning Tree Protocol, individual interface devices for each bridge,
filtering of bridged packets, and span ports (which transmit a copy of every frame
received by the bridge). The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ifconfig&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ifconfig</span>(8)</span></a>
utility now supports configuration of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=if_bridge&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">if_bridge</span>(4)</span></a>.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.4 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=twa&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">twa</span>(4)</span></a> driver
has been updated to the 9.3.0.1 release on the 3ware Web site.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="FS" name="FS">2.2.5 File Systems</a></h4>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="AEN229" name="AEN229">2.2.6 Contributed Software</a></h4>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bsdiff&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bsdiff</span>(1)</span></a> and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bspatch&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">bspatch</span>(1)</span></a>
utilities have been added. These are tools for constructing and applying binary
patches.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cmp&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cmp</span>(1)</span></a> utility
now supports an <code class="OPTION">-h</code> flag to compare the symbolic link itself
rather than the file that the link points to.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gethostbyname&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">gethostbyname</span>(3)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gethostbyname2&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">gethostbyname2</span>(3)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gethostbyaddr&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gethostbyaddr</span>(3)</span></a>
functions are now thread-safe.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getnetent&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getnetent</span>(3)</span></a>, <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getnetbyname&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getnetbyname</span>(3)</span></a>,
and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getnetbyaddr&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getnetbyaddr</span>(3)</span></a>
functions are now thread-safe.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getprotoent&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getprotoent</span>(3)</span></a>,
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getprotobyname&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">getprotobyname</span>(3)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getprotobynumber&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">getprotobynumber</span>(3)</span></a> functions are now
thread-safe.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getservent&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getservent</span>(3)</span></a>,
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getservbyname&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">getservbyname</span>(3)</span></a>, and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=getservbyport&amp;sektion=3&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">getservbyport</span>(3)</span></a>
functions are now thread-safe.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=kdump&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">kdump</span>(1)</span></a> program
now supports a <code class="OPTION">-s</code> flag to suppress the display of I/O
data.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=kldstat&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">kldstat</span>(8)</span></a>
utility now supports a <code class="OPTION">-m</code> option to return the status of a
specific kernel module.</p>

<p>The default stack sizes in <tt class="FILENAME">libpthread</tt>, <tt
class="FILENAME">libthr</tt>, and <tt class="FILENAME">libc_r</tt> have been increased.
On 32-bit platforms, the main thread receives a 2MB stack size by default, with other
threads receiving a 1MB stack size by default. On 64-bit platforms, the default stack
sizes are 4MB and 2MB respectively.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=netstat&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">netstat</span>(1)</span></a>
utility now supports an <code class="OPTION">-h</code> flag for interface stats mode,
which prints all interface statistics in human readable form.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ping&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ping</span>(8)</span></a> utility
now supports a ``sweeping ping'' in which <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=icmp&amp;sektion=4&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">icmp</span>(4)</span></a> payload
of packets being sent is increased with given step. This is useful for testing
problematic channels, MTU issues or traffic policing functions in networks.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=powerd&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">powerd</span>(8)</span></a>
program for managing power consumption has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rfcomm_sppd&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rfcomm_sppd</span>(1)</span></a>
program now supports service names in addition to <code class="OPTION">-c</code> option
with channel number. The supported names are: DUN (Dial-Up Networking), FAX (Fax), LAN
(LAN Access Using PPP), and SP (Serial Port).</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rm&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rm</span>(1)</span></a> utility
now supports an <code class="OPTION">-I</code> option that asks for confirmation (once)
if recursively removing directories or if more than 3 files are listed in the command
line.</p>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sed&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sed</span>(1)</span></a> now
supports a <code class="OPTION">-l</code> option to make its output line-buffered.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sh&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sh</span>(1)</span></a> utility
now supports the <tt class="LITERAL">times</tt> built-in command.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=snapinfo&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">snapinfo</span>(8)</span></a>
utility, which shows snapshot locations on UFS filesystems, has been added.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="RC-SCRIPTS" name="RC-SCRIPTS">2.3.1 <tt
class="FILENAME">/etc/rc.d</tt> Scripts</a></h4>

<p>The <tt class="FILENAME">bluetooth</tt> script has been added. This script will be
called from <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=devd&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">devd</span>(8)</span></a> in
response to device attachment/detachment events and to stop/start particular device
without unplugging it by hand. The configuration parameters are in <tt
class="FILENAME">/etc/defaults/bluetooth.device.conf</tt>, and can be overridden by using
<tt class="FILENAME">/etc/bluetooth/<tt class="REPLACEABLE"><i>$device</i></tt>.conf</tt>
(where <tt class="REPLACEABLE"><i>$device</i></tt> is <tt class="DEVICENAME">ubt0</tt>,
<tt class="DEVICENAME">btcc0</tt>, and so on.) For more details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=bluetooth.conf&amp;sektion=5&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">bluetooth.conf</span>(5)</span></a>.</p>

<p>The <tt class="FILENAME">rc.d/jail</tt> startup script now supports <code
class="VARNAME">jail_<tt class="REPLACEABLE"><i>name</i></tt>_flags</code> variable which
allows to specify <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jail&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jail</span>(8)</span></a>
flags.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p><b class="APPLICATION">BIND</b> has been updated from 9.3.1 to 9.3.2.</p>

<p><b class="APPLICATION">sendmail</b> has been updated from version 8.13.3 to version
8.13.6.</p>

<p>The timezone database has been updated from the <b class="APPLICATION">tzdata2005g</b>
release to the <b class="APPLICATION">tzdata2006g</b> release.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_add&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_add</span>(1)</span></a>
program now supports an <code class="OPTION">-P</code> flag, which is the same as the
<code class="OPTION">-p</code> flag except that the given prefix is also used recursively
for the dependency packages if any.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_add&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_add</span>(1)</span></a> and
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_create&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_create</span>(1)</span></a>
utilities now support a <code class="OPTION">-K</code> flag to save packages to the
current directory (or <code class="VARNAME">PKGDIR</code> if defined) by default.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_create&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_create</span>(1)</span></a>
program now supports an <code class="OPTION">-x</code> flag to support basic regular
expressions for package name, an <code class="OPTION">-E</code> flag for extended regular
expressions, and a <code class="OPTION">-G</code> for exact matching.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_version&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_version</span>(1)</span></a>
utility now supports a <code class="OPTION">-I</code> flag, which causes only the <tt
class="FILENAME">INDEX</tt> file to be used for determining if a package is out of
date.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pkg_version&amp;sektion=1&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pkg_version</span>(1)</span></a>
utility now supports an <code class="OPTION">-o</code> flag to show the origin recorded
on package generation instead of the package name, and an <code class="OPTION">-O</code>
flag to list packages whose registered origin is origin only.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=portsnap&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">portsnap</span>(8)</span></a>
utility (<tt class="FILENAME">sysutils/portsnap</tt>) has been added into the FreeBSD
base system. This is a secure, easy to use, fast, lightweight, and generally good way for
users to keep their ports trees up to date.</p>

<p>The suffix of startup scripts from the Ports Collection has been removed. This means
<tt class="FILENAME">foo.sh</tt> is renamed to <tt class="FILENAME">foo</tt>, and now
scripts whose name is something like <tt class="FILENAME">foo.ORG</tt> will also be
invoked. You are recommended to reinstall packages which install such scripts and remove
extra files in the <code class="VARNAME">local_startup</code> directory.</p>

<p>New <tt class="FILENAME">rc.conf</tt> variables, <code
class="VARNAME">ldconfig_local_dirs</code> and <code
class="VARNAME">ldconfig_local32_dirs</code> have been added. These hold lists of local
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ldconfig&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ldconfig</span>(8)</span></a>
directories.</p>

<p>The <tt class="COMMAND">@cwd</tt> command in <tt class="FILENAME">pkg-plist</tt> now
allows no directory argument. If no directory argument is given, it will set current
working directory to the first prefix given by the <tt class="COMMAND">@cwd</tt>
command.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.6 Release Engineering and
Integration</a></h3>

<p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
class="FILENAME">x11/gnome2</tt></a>) has been updated from 2.10.2 to 2.12.3.</p>

<p>The supported version of the <b class="APPLICATION">KDE</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde3/pkg-descr"><tt
class="FILENAME">x11/kde3</tt></a>) has been updated from 3.4.2 to 3.5.1.</p>

<p>The supported version of the <b class="APPLICATION">Perl</b> interpreter (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/lang/perl5.8/pkg-descr"><tt
class="FILENAME">lang/perl5.8</tt></a>) has been updated from 5.8.7 to 5.8.8.</p>

<p>The supported version of the <b class="APPLICATION">Xorg</b> windowing system (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/xorg/pkg-descr"><tt
class="FILENAME">x11/xorg</tt></a>) has been updated from 6.8.2 to 6.9.0.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="DOC" name="DOC">2.7 Documentation</a></h3>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>If you're upgrading from a previous release of FreeBSD, you generally will have three
options:</p>

<ul>
<li>
<p>Using the binary upgrade option of <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=sysinstall&amp;sektion=8&amp;manpath=FreeBSD+5.5-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">sysinstall</span>(8)</span></a>.
This option is perhaps the quickest, although it presumes that your installation of
FreeBSD uses no special compilation options.</p>
</li>

<li>
<p>Performing a complete reinstall of FreeBSD. Technically, this is not an upgrading
method, and in any case is usually less convenient than a binary upgrade, in that it
requires you to manually backup and restore the contents of <tt
class="FILENAME">/etc</tt>. However, it may be useful in cases where you want (or need)
to change the partitioning of your disks.</p>
</li>

<li>
<p>From source code in <tt class="FILENAME">/usr/src</tt>. This route is more flexible,
but requires more disk space, time, and technical expertise. More information can be
found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/makeworld.html"
target="_top">``Using <tt class="COMMAND">make world</tt>''</a> section of the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>. Upgrading from very old versions of FreeBSD may be problematic; in cases
like this, it is usually more effective to perform a binary upgrade or a complete
reinstall.</p>
</li>
</ul>

<br />
<br />
<p>Please read the <tt class="FILENAME">INSTALL.TXT</tt> file for more information,
preferably <span class="emphasis"><i class="EMPHASIS">before</i></span> beginning an
upgrade. If you are upgrading from source, please be sure to read <tt
class="FILENAME">/usr/src/UPDATING</tt> as well.</p>

<p>Finally, if you want to use one of various means to track the -STABLE or -CURRENT
branches of FreeBSD, please be sure to consult the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/current-stable.html"
target="_top">``-CURRENT vs. -STABLE''</a> section of the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>
++++


